madkit.action

## Enum UIAction

- java.lang.Object
- - java.lang.Enum<UIAction>
  - - madkit.action.UIAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UIAction>

      public enum UIAction
      extends java.lang.Enum<UIAction>

  Enum representing actions which could be used on MDK frames
  Since:
    MaDKit 5.1.0.1
  Version:
    0.9
  Author:
    Fabien Michel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKGROUND`
    `PRINT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract javax.swing.Action` | `getActionFor(javax.swing.JFrame frame)` Builds an action that will operate on this frame
    `ActionInfo` | `getActionInfo()`
    `static java.util.ResourceBundle` | `getMessages()`
    `static UIAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UIAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACKGROUND

          public static final UIAction BACKGROUND

    - #### PRINT

          public static final UIAction PRINT

  - ### Method Detail

    - #### values

          public static UIAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIAction c : UIAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMessages

          public static java.util.ResourceBundle getMessages()

      Returns:
        the bundle for internationalized messages

    - #### getActionInfo

          public ActionInfo getActionInfo()

      Returns:
        the actionInfo corresponding to this constant

    - #### getActionFor

          public abstract javax.swing.Action getActionFor(javax.swing.JFrame frame)

      Builds an action that will operate on this frame
      Parameters:
        `frame` - the frame on which this action will operate
      Returns:
        the Action corresponding to this feature

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 9 2019